Bug 1347858 - Review Request: rubygem-asciidoctor-pdf - Converts AsciiDoc documents to PDF using Prawn
Summary: Review Request: rubygem-asciidoctor-pdf - Converts AsciiDoc documents to PDF ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1347853 1347855 1347856 1347857
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-17 20:59 UTC by Fabio Alessandro Locati
Modified: 2016-06-29 17:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 12:55:12 UTC
Type: ---
germano.massullo: fedora-review+


Attachments (Terms of Use)

Description Fabio Alessandro Locati 2016-06-17 20:59:46 UTC
Spec URL: https://fale.fedorapeople.org/rpms/rubygem-asciidoctor-pdf.spec
SRPM URL: https://fale.fedorapeople.org/rpms/rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc24.src.rpm
Description: Converts AsciiDoc documents to PDF using Prawn
Fedora Account System Username: fale

Comment 1 Germano Massullo 2016-06-18 06:07:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     asciidoctor-pdf-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: When checking ruby code, install the ruby plugin.


Installation errors
-------------------
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
Finish: chroot init
INFO: installing package(s): /tmp/rubygem-asciidoctor-pdf/results/rubygem-asciidoctor-pdf-doc-1.5.0-0.1.alpha.11.fc25.noarch.rpm /tmp/rubygem-asciidoctor-pdf/results/rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc25.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /tmp/rubygem-asciidoctor-pdf/results/rubygem-asciidoctor-pdf-doc-1.5.0-0.1.alpha.11.fc25.noarch.rpm /tmp/rubygem-asciidoctor-pdf/results/rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc25.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc25.noarch.rpm
          rubygem-asciidoctor-pdf-doc-1.5.0-0.1.alpha.11.fc25.noarch.rpm
          rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc25.src.rpm
rubygem-asciidoctor-pdf.noarch: W: incoherent-version-in-changelog 1.5.0-0.1.alpha11 ['1.5.0-0.1.alpha.11.fc25', '1.5.0-0.1.alpha.11']
rubygem-asciidoctor-pdf.noarch: W: no-manual-page-for-binary asciidoctor-pdf
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Requires
--------
rubygem-asciidoctor-pdf (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/env
    /usr/bin/ruby
    ruby(release)
    ruby(rubygems)
    rubygem(asciidoctor)
    rubygem(prawn)
    rubygem(prawn-icon)
    rubygem(prawn-svg)
    rubygem(prawn-table)
    rubygem(prawn-templates)
    rubygem(safe_yaml)
    rubygem(thread_safe)
    rubygem(treetop)

rubygem-asciidoctor-pdf-doc (rpmlib, GLIBC filtered):
    rubygem-asciidoctor-pdf



Provides
--------
rubygem-asciidoctor-pdf:
    rubygem(asciidoctor-pdf)
    rubygem-asciidoctor-pdf

rubygem-asciidoctor-pdf-doc:
    rubygem-asciidoctor-pdf-doc



Source checksums
----------------
http://rubygems.org/gems/asciidoctor-pdf-1.5.0.alpha.11.gem :
  CHECKSUM(SHA256) this package     : 3aaff2e49b99ea2f71f5b71645b166082a23bbac79a47940366fabe8835d5a1a
  CHECKSUM(SHA256) upstream package : 3aaff2e49b99ea2f71f5b71645b166082a23bbac79a47940366fabe8835d5a1a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -r -m fedora-rawhide-x86_64 -n /home/fale/rpmbuild/SRPMS/rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc24.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Germano Massullo 2016-06-18 06:08:20 UTC
Congratulations, the package is approved!

Comment 3 Gwyn Ciesla 2016-06-20 14:17:22 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-asciidoctor-pdf

Comment 4 Fedora Update System 2016-06-21 07:31:23 UTC
rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc23 rubygem-prawn-icon-1.1.0-1.fc23 rubygem-prawn-svg-0.25.1-1.fc23 rubygem-css_parser-1.4.2-1.fc23 rubygem-prawn-table-0.2.2-1.fc23 rubygem-prawn-manual_builder-0.2.0-1.fc23 rubygem-prawn-templates-0.0.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f072509871

Comment 5 Fedora Update System 2016-06-21 07:32:02 UTC
rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc24 rubygem-prawn-icon-1.1.0-1.fc24 rubygem-prawn-svg-0.25.1-1.fc24 rubygem-css_parser-1.4.2-1.fc24 rubygem-prawn-table-0.2.2-1.fc24 rubygem-prawn-manual_builder-0.2.0-1.fc24 rubygem-prawn-templates-0.0.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3002f036fc

Comment 6 Fedora Update System 2016-06-22 02:26:47 UTC
rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc24, rubygem-css_parser-1.4.2-1.fc24, rubygem-prawn-icon-1.1.0-1.fc24, rubygem-prawn-manual_builder-0.2.0-1.fc24, rubygem-prawn-svg-0.25.1-1.fc24, rubygem-prawn-table-0.2.2-1.fc24, rubygem-prawn-templates-0.0.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3002f036fc

Comment 7 Fedora Update System 2016-06-22 02:54:34 UTC
rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc23, rubygem-css_parser-1.4.2-1.fc23, rubygem-prawn-icon-1.1.0-1.fc23, rubygem-prawn-manual_builder-0.2.0-1.fc23, rubygem-prawn-svg-0.25.1-1.fc23, rubygem-prawn-table-0.2.2-1.fc23, rubygem-prawn-templates-0.0.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f072509871

Comment 8 Fedora Update System 2016-06-29 12:54:57 UTC
rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc24, rubygem-css_parser-1.4.2-1.fc24, rubygem-prawn-icon-1.1.0-1.fc24, rubygem-prawn-manual_builder-0.2.0-1.fc24, rubygem-prawn-svg-0.25.1-1.fc24, rubygem-prawn-table-0.2.2-1.fc24, rubygem-prawn-templates-0.0.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-06-29 17:22:18 UTC
rubygem-asciidoctor-pdf-1.5.0-0.1.alpha.11.fc23, rubygem-css_parser-1.4.2-1.fc23, rubygem-prawn-icon-1.1.0-1.fc23, rubygem-prawn-manual_builder-0.2.0-1.fc23, rubygem-prawn-svg-0.25.1-1.fc23, rubygem-prawn-table-0.2.2-1.fc23, rubygem-prawn-templates-0.0.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.